Plugin localization mephisto de nicolas

il fonctionne avec quelle révision de rails et mephisto?

je suis sur edge mephisto (avec rev 7472 de rails) mais quand je
démarre mon mongrel après l’installe du plugin de localization il me
sort cette erreur (tout marchait bien avant l’install du plugin):

Exiting
/home/pat/mephisto/vendor/rails/activesupport/lib/active_support/dependencies.rb:477:in
const_missing': uninitialized constant Rails::Plugin::Loader::Liquid (NameError) from /home/pat/mephisto/vendor/plugins/mephisto_localization/init.rb:48:inevaluate’
from
./script/…/config/…/vendor/rails/railties/lib/rails/plugin/loader.rb:107:in
evaluate' from /home/pat/mephisto/vendor/rails/activesupport/lib/active_support/core_ext/kernel/reporting.rb:11:insilence_warnings’
from
./script/…/config/…/vendor/rails/railties/lib/rails/plugin/loader.rb:107:in
evaluate' from ./script/../config/../vendor/rails/railties/lib/rails/plugin/loader.rb:24:inload’
from
/home/pat/mephisto/vendor/rails/railties/lib/initializer.rb:183:in
load_plugins' from ./script/../config/../vendor/rails/railties/lib/rails/plugin/locator.rb:16:ineach’
from
./script/…/config/…/vendor/rails/railties/lib/rails/plugin/locator.rb:16:in
each' ... 32 levels... from /home/pat/mephisto/vendor/rails/activesupport/lib/active_support/dependencies.rb:495:inrequire’
from
/home/pat/mephisto/vendor/rails/railties/lib/commands/server.rb:39
from ./script/server:3:in `require’
from ./script/server:3

une idée du problème (surement à voir avec l’ordre de chargement des plugins)?

Merci d’avance

Pat

Je n’ai pas mis à jour le plugin depuis assez longtemps. Mais le
problème
vient surement de la version de Edge Mephisto qui est trop récente. Le
plugin fonctionnait avec la révison 2812 et dans les environs de
Mephisto.
Je pense que les choses ont évolués depuis. Le plugin modifie un petit
peu
certains modèles et certains contrôleurs qui ont dû changer depuis.

J’avais arrêté de le développer car il devait y avoir une intégration de
gibberish dans le core de Mephisto pour l’internationalisation mais ce
n’est
toujours pas fait.

On 10/3/07, Patrick A. [email protected] wrote:

/home/pat/mephisto/vendor/rails/activesupport/lib/active_support/dependencies.rb:477:in
silence_warnings' ./script/../config/../vendor/rails/railties/lib/rails/plugin/locator.rb:16:in from ./script/server:3:inrequire’


Nicolas Mérouze
Développeur Ruby On Rails / Associé de Yeasty Mobs
http://boldr.fr / http://yeastymobs.com

Oui Gibberish c’est juste pour les vues, mon plugin aussi. Sinon tu peux
aller chercher du côté d’un plugin Mephisto qui utilise Globalize (je
crois
qu’il se nomme mephisto_globalization). Je pense qu’il est encore mis Ã
jour
et il fait pas mal de choses.


Nicolas Mérouze
Développeur Ruby On Rails / Associé de Yeasty Mobs
http://boldr.fr / http://yeastymobs.com

On 10/3/07, Nicolas Mérouze [email protected] wrote:

Je n’ai pas mis à jour le plugin depuis assez longtemps. Mais le problème
vient surement de la version de Edge Mephisto qui est trop récente. Le
plugin fonctionnait avec la révison 2812 et dans les environs de Mephisto.
Je pense que les choses ont évolués depuis. Le plugin modifie un petit peu
certains modèles et certains contrôleurs qui ont dû changer depuis.

J’avais arrêté de le développer car il devait y avoir une intégration de
gibberish dans le core de Mephisto pour l’internationalisation mais ce n’est
toujours pas fait.

Ok, merci pour l’info. Mais Gibberish c’est juste pour traduire les
vues pas les données comme les articles par exemple non?

On 10/3/07, Nicolas Mérouze [email protected] wrote:

Oui Gibberish c’est juste pour les vues, mon plugin aussi. Sinon tu peux
aller chercher du côté d’un plugin Mephisto qui utilise Globalize (je crois
qu’il se nomme mephisto_globalization). Je pense qu’il est encore mis à jour
et il fait pas mal de choses.

Oui c’est celui que j’utilise en ce moment mais au niveau du cache
avec apache j’ai quelques problèmes donc je me demandais s’il n’y
avait pas une alternative.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs